import SingleBlog from "@components/top-level/single-blog";
import Loading from "app/loading";
import { getPostById } from "@lib/api";

const SingleBlogApp = async ({ params: { id } }) => {
  const blog = await getPostById("posts", id);
  return <div>{blog ? <SingleBlog {...blog} /> : <Loading />}</div>;
};

export default SingleBlogApp;
